scala.xml
class UnprefixedAttribute

[source: `scala/xml/UnprefixedAttribute.scala`]

`` `class` UnprefixedAttribute(`val` key : String, `val` value : Seq[Node], next1 : MetaData)
  `extends` MetaData

  Unprefixed attributes have the null namespace, and no prefix field

Author
  Burak Emir

Additional Constructor Summary
`def` | this (key : String, value : String, next : MetaData) : UnprefixedAttribute same as this(key, Utility.parseAttributeValue(value), next)

Value Summary
`val` | next : MetaData returns Null or the next MetaData item

Method Summary
`def` | apply (key : String) : Seq[Node] Gets value of unqualified (unprefixed) attribute with given key, null if not found
`def` | apply (namespace : String, scope : NamespaceBinding, key : String) : Seq[Node] Forwards the call to next (because caller looks for prefixed attribute).
`def` | copy (next : MetaData) : UnprefixedAttribute returns a copy of this unprefixed attribute with the given next field
`def` | equals1 (m : MetaData) : Boolean shallow equals method
`final def` | getNamespace (owner : Node) : String returns null
`override def` | hashCode : Int returns the hashcode.
`final def` | isPrefixed : Boolean returns false
`def` | remove (namespace : String, scope : NamespaceBinding, key : String) : MetaData
`def` | remove (key : String) : MetaData
`def` | toString1 (sb : StringBuilder) : Unit appends string representation of only this attribute to stringbuffer.
`def` | wellformed (scope : NamespaceBinding) : Boolean

Methods inherited from MetaData
append, apply, containedIn1, hasNext, length, length, equals, elements, size, filter, map, get, get, get, toString1, toString, toString, remove

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, isEmpty, projection, hasDefiniteSize

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Additional Constructor Details

`` `def` this(key : String, value : String, next : MetaData) : UnprefixedAttribute

  same as this(key, Utility.parseAttributeValue(value), next)

Value Details

`` `val` next : MetaData

  returns Null or the next MetaData item

Overrides
  MetaData.next

Method Details

`` `def` copy(next : MetaData) : UnprefixedAttribute

  returns a copy of this unprefixed attribute with the given next field

Overrides
  MetaData.copy

`` `def` equals1(m : MetaData) : Boolean

  shallow equals method

Overrides
  MetaData.equals1

`final` `def` getNamespace(owner : Node) : String

  returns null

Overrides
  MetaData.getNamespace

`` `def` apply(key : String) : Seq[Node]

  Gets value of unqualified (unprefixed) attribute with given key, null if not found

Parameters
  `key -`
Returns
  value as Seq[Node] if key is found, null otherwise

Overrides
  MetaData.apply

`` `def` apply(namespace : String, scope : NamespaceBinding, key : String) : Seq[Node]

  Forwards the call to next (because caller looks for prefixed attribute).

Parameters
  `namespace -`
  `scope -`
  `key -`
Returns
  ..

Overrides
  MetaData.apply

`override` `def` hashCode : Int

  returns the hashcode.

Overrides
  MetaData.hashCode

`final` `def` isPrefixed : Boolean

  returns false

Overrides
  MetaData.isPrefixed

`` `def` toString1(sb : StringBuilder) : Unit

  appends string representation of only this attribute to stringbuffer.

Parameters
  `sb -` ..

Overrides
  MetaData.toString1

`` `def` wellformed(scope : NamespaceBinding) : Boolean

Parameters
  `scope -` ...
Returns
  `true` iff ...

Overrides
  MetaData.wellformed

`` `def` remove(key : String) : MetaData

Parameters
  `key -` ...
Returns
  ...

Overrides
  MetaData.remove

`` `def` remove(namespace : String, scope : NamespaceBinding, key : String) : MetaData

Parameters
  `namespace -` ...
  `scope -` ...
  `key -` ...
Returns
  ...

Overrides
  MetaData.remove